<?php
/**
  @licence GPL 2005-2010  The osCSS developers - osCSS Open Source E-commerce
  @portion code Copyright (c) 2002 osCommerce
  @package osCSS-2 <www http://www.oscss.org>
  @version 2.1.0
  @date  21/09/10, 17:02
  @author oscim <mail aurelien@oscim.fr> <www http://www.oscim.fr>
  @encode UTF-8
*/


function init_slider(){ }

/**
  Definition des scripts du plugins
*/
function slider_scripts(){
  global $page;
  $dir_ws_here=$page->getPathTemplate().'includes/plugins/generic/slider/';
   init_slider();

  $scripts=array('jquery'=> array(
                    'type'=>'framework',
                    'file'=>'ext/jquery/jquery.min.js',
                    'pages'=>','
                                ),
                'slider'=>array(
                    'type'=>'script',
		    'place'=>'footer',
                    'file'=>array(
                                  $dir_ws_here."inc/easySlider1.7.js"
                                ),
                    'sort'=> 6
                              ),
                'slidercss'=>array(
                    'type'=>'script',
                    'file'=>array(
                                  $dir_ws_here."inc/easySlider.css",
                                 ),
                    'sort'=> 6
                              ),
               );
  return $scripts;
}

function slider_init_scripts(){
  $scripts=array(
                 'exec_slider'=>array(
                                     'type'=>'function',
                                     'code_exe'=>'slider_exec'
                                    )
                );
  return $scripts;
}

function slider_exec(){
  $s ='<script type="text/javascript">//<!--'."\n"
      .'$(document).ready(function() {'."\n"
        .'$("#slider").easySlider({
                auto: true,
                continuous: true,
                numeric: true
        });'
        .'});'
      .'// --></script>';


  return $s;
}

?>